Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2207545

Summary: python whisper rpm is missing in EPEL 8 and EPEL 9
Product: [Fedora] Fedora EPEL Reporter: marco.angaroni
Component: python-whisperAssignee: Jonathan Steffan <jonathansteffan>
Status: CLOSED COMPLETED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel8CC: jonathan, jonathansteffan, piotr1212, sboldyreva
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-09-07 21:50:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description marco.angaroni 2023-05-16 08:40:07 UTC
python-whisper RPM is missing in EPEL-8 and EPEL-9.

EPEL-7 contains python-whisper, but EPEL-8 and EPEL 9 don't.

Considering python-2 EOL, EPEL-8 and EPEL-9 should contain python3-whisper RPM.

Comment 1 Jonathan Wright 2023-08-25 14:14:16 UTC
Will you be able to branch and build python-whisper in epel8 and epel9?
I would be happy to be a co-maintainer if you do not wish
to build it on epel9 (FAS: jonathanspw).

Comment 3 Jonathan Steffan 2023-08-28 18:25:31 UTC
@jonathanspw I've added both of the branches, added you as an admin to both python-whisper and python-bucky and have requested admin on python-carbon again.

python-whisper builds without any changes on epel9 because we have pyproject-rpm-macros available. We will need to update the spec to not use these macros for epel8. If you would like to do that, please do so at your leisure.

Comment 4 Fedora Update System 2023-08-28 18:35:55 UTC
FEDORA-EPEL-2023-ac6883312d has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac6883312d

Comment 5 Fedora Update System 2023-08-29 02:30:21 UTC
FEDORA-EPEL-2023-ac6883312d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-ac6883312d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Jonathan Steffan 2023-08-29 18:28:00 UTC
*** Bug 2235623 has been marked as a duplicate of this bug. ***

Comment 7 Jonathan Steffan 2023-08-29 22:22:03 UTC
I went ahead and imported rawhide into epel8 and updated for https://docs.fedoraproject.org/en-US/packaging-guidelines/Python_201x/ to close this out.

Comment 8 Fedora Update System 2023-08-29 22:27:55 UTC
FEDORA-EPEL-2023-520d4d0fd9 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-520d4d0fd9

Comment 9 Fedora Update System 2023-08-30 02:03:07 UTC
FEDORA-EPEL-2023-520d4d0fd9 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-520d4d0fd9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-09-06 01:52:40 UTC
FEDORA-EPEL-2023-ac6883312d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-09-07 01:07:35 UTC
FEDORA-EPEL-2023-520d4d0fd9 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.